package com.usoftchina.uas.office.jdbc;

/**
 * 数据源配置
 *
 * @author yingp
 * @date 2019/5/23
 */
public interface DataSourceBean {
    /**
     * jdbc url
     *
     * @return
     */
    String url();

    /**
     * 用户
     *
     * @return
     */
    String username();

    /**
     * 密码
     *
     * @return
     */
    String password();

    /**
     * 驱动
     *
     * @return
     */
    String driverClassName();

    /**
     * 连接信息
     *
     * @return
     */
    default String info() {
        return "datasource{url: " + url() + ", username: " + username() + "}";
    }
}
